<!-- 
-------------------------------------------------------------------------------
MIT License
   
Copyright (c) 2024 University College Cork (UCC)
    
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
    
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.
   
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
     
      
SPDX-License-Identifier: MIT
      
Contributors:
   Panagiotis Kyziropoulos - Author
   Dimitrios Bikoulis - Co-author
    
------------------------------------------------------------------------------- 
-->
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Datamite Projects</title>
  <link rel="stylesheet" href="{{ url_for('static', filename='css/basicbar.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/headers.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/mainstyle.css') }}">
  <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="{{ url_for('static', filename='js/script.js') }}" defer></script>
</head>

<body>
  <header>
    <div class="logo">
      <a href="/"> 
        <!-- "../public/images/logo-datamite-color-horizontal.png" -->
        <img src="{{ url_for('static', filename='images/logo-datamite-color-horizontal.png') }}"  alt="Logo">
      </a>
    </div>
    <h1>Data Bias Tool</h1>
  </header>

  <div class="sidenav">    
    <div class="sidenav-logo">
      <img src="{{ url_for('static', filename='images/logo-datamite-color-vertical.png') }}" alt="Sidenav Logo">
    </div>
  </div>
  <div class="main-content">
    <div class="section">
      <h2>Welcome to the Fairness Tool</h2>
      <p>- Complete with description -</p>
    </div>
    <h2>Select an Existing Project from the following list</h2>
    <ul>
      {% for project in projects %}
      <li><a href="/api/{{ project.id }}">{{ project.name }}</a></li>
      {% endfor %}
    </ul>
   
    <h2>Or create a new Project </h2>
    <div>
        <label for="name">Project Name:</label>
        <input type="text" id="name" required><br><br>
        <label for="description">Project Description:</label>
        <textarea id="description" required></textarea><br><br>
        <label for="file">Upload File:</label>
        <input type="file" id="file"><br><br>
        <button id="submitBtn">Submit</button>
    </div>

    <div id="result"></div>
  </div> 
    <script>
        $(document).ready(function() {
            $('#submitBtn').on('click', function(e) {
                e.preventDefault();
                var name = $('#name').val();
                var description = $('#description').val();
                var file = $('#file')[0].files[0];

                if (!name || !description) {
                    $('#result').html('<p style="color: red;">Some fields are required.</p>');
                    return;
                }

                var formData = new FormData();
                formData.append('name', name);
                formData.append('description', description);
                formData.append('file', file);

                $.ajax({
                    type: 'POST',
                    url: '/api/add_project',
                    data: formData,
                    contentType: false,
                    processData: false,
                    success: function(response) {
                        $('#result').html(
                            '<h2>Project Created</h2>' +
                            '<p><strong>Name:</strong> ' + name + '</p>' +
                            '<p><strong>Description:</strong> ' + description + '</p>' +
                            '<p><strong>File:</strong> ' + file + '</p>'
                        );
                    },
                    error: function(xhr, status, error) {
                        $('#result').html(
                            '<p style="color: red;">Error: ' + xhr.responseJSON.error + '</p>'
                        );
                    }
                });
            });
        });
    </script>
</body>
</html>
